> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Database

Create a new database (collection) in the Data Lake with an optional initial schema.


## OpenAPI

````yaml POST /api/v1/datalake/{source}/databases
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/datalake/{source}/databases:
    post:
      tags:
        - Data Lake
      summary: Create database
      operationId: post-datalake-databases
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: Shippings_2024
                variables:
                  type: array
                  items:
                    type: string
                  description: Initial headers/variables for the collection
              required:
                - name
      responses:
        '201':
          description: Database created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatabaseInfo'
              examples:
                success:
                  value:
                    name: db_ai-loop_V3_Services
                    userFriendlyName: V3_Services
      security:
        - bearerAuth: []
components:
  schemas:
    DatabaseInfo:
      type: object
      properties:
        name:
          type: string
          description: Actual MongoDB collection name
        userFriendlyName:
          type: string
          description: Human-readable name without prefix
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````